> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavynode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all chains

> Retrieves all the blockchain networks supported by Wavy Node.



## OpenAPI

````yaml GET /chains
openapi: 3.1.0
info:
  title: Wavy Node API
  description: >-
    Compliance, fraud prevention, and risk analysis API for payment providers
    and cryptocurrency exchanges in Latin America.
  version: 1.0.0
  contact:
    name: Wavy Node Support
    email: support@wavynode.com
servers:
  - url: https://api.wavynode.com/v1
    description: Production
security:
  - apiKeyAuth: []
paths:
  /chains:
    get:
      tags:
        - Chains
      summary: List all chains
      description: Retrieves all the blockchain networks supported by Wavy Node.
      operationId: listChains
      responses:
        '200':
          description: List of supported chains
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ChainSummary'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ChainSummary:
      type: object
      properties:
        id:
          type: integer
          description: Chain ID
        name:
          type: string
          description: Chain name
        rpc_url:
          type: string
          description: RPC endpoint URL
        active:
          type: boolean
          description: Whether the chain is currently active
        explorer_url:
          type: string
          description: Block explorer URL
        currency_symbol:
          type: string
          description: Native currency symbol
        currency_decimals:
          type: integer
          description: Native currency decimals
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
          description: Error description
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Enter the full value with the `ApiKey` prefix. Example: `ApiKey
        wavy_your-api-key`. The prefix is required for authentication.

````